/*
 * header file for NS-Link daemon
 */

struct si_box_config 
{
  char	ether_addr[6];
  char	interface[16];
  unsigned long ip_addr;
  int   base_port;
  int	num_lines;
  unsigned char	rsmode[MAX_NRP_PORTS];
  int link_timeout;
  unsigned char scan_period;
  int low_latency[MAX_NRP_PORTS];
  int inter_char_timeout[MAX_NRP_PORTS];
  int arch_id;
};

extern struct si_box_config box_config[MAX_NRP_SIS+1];
extern int num_box_config;


extern char *device_name;
extern char *boot_file4_8;
extern char *boot_file2;
extern char *boot_fileDM;

extern char *sprint_ether_addr(unsigned char addr[6]);
extern void parse_config(const char *cfg_filename);

